--AH:ScriptId=860794E9-808F-4BAD-9DE7-2B86C7E468DB

CREATE TABLE [AssetItemMetadata]
(
	[AssetItem_Id] INT NOT NULL,
	[Key_Name] VARCHAR(50) NOT NULL,
	[Value_Text] NVARCHAR(MAX) NOT NULL,
	-- using BIT instead of YNINDICATOR because the UDT causes problems with bulk updates
	[IncludeInResponseHeader_Boolean] BIT NOT NULL,

	CONSTRAINT [PK__AssetItemMetadata]
		PRIMARY KEY ([AssetItem_Id], [Key_Name]),

	CONSTRAINT [FK__AssetItemMetadata__AssetItems]
		FOREIGN KEY ([AssetItem_Id])
		REFERENCES [AssetItems] ([AssetItem_Id])
		ON DELETE CASCADE,

	CONSTRAINT [CK__AssetItemMetadata__Key_Name]
		CHECK (RTRIM(LTRIM([Key_Name])) <> '')
)
