EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetExecution',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'Executions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets an execution.'
GO

IF OBJECT_ID('[Executions_GetExecution]') IS NOT NULL DROP PROCEDURE [Executions_GetExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetExecution]
(
	@Execution_Id INT
)
AS
BEGIN

SET NOCOUNT ON

    SELECT *
      FROM [Executions_Extended]
     WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [Executions_GetExecution] TO [ProGetUser_Role]
