--AH:ScriptId=4ddea55c-dc7b-427f-9613-5ef7be534c22;3033
ALTER TABLE [Feeds]
	ADD [SyncToken_Bytes] VARBINARY(200) NULL

ALTER TABLE [Feeds]
	ADD [SyncTarget_Url] VARCHAR(250) NULL

ALTER TABLE [Feeds]
	ADD [LastSync_Date] DATETIME NULL

CREATE TABLE [FeedSyncExecutions]
(
	[Execution_Id] INT NOT NULL,
	[Feed_Id] INT NOT NULL,
	[SyncTarget_Url] VARCHAR(250) NOT NULL,

	CONSTRAINT [PK__FeedSyncExecutions]
		PRIMARY KEY ([Execution_Id]),

	CONSTRAINT [FK__FeedSyncExecutions__Executions]
		FOREIGN KEY ([Execution_Id])
		REFERENCES [Executions] ([Execution_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__FeedSyncExecutions__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE
)