EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ApiKeys_GetApiKey',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'ApiKeys(1),ApiKeyTasks_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified API key by ID and its associated permissions.'
GO

IF OBJECT_ID('[ApiKeys_GetApiKey]') IS NOT NULL DROP PROCEDURE [ApiKeys_GetApiKey]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ApiKeys_GetApiKey]
(
    @ApiKey_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
      FROM [ApiKeys]
     WHERE [ApiKey_Id] = @ApiKey_Id

    SELECT *
      FROM [ApiKeyTasks_Extended]
     WHERE [ApiKey_Id] = @ApiKey_Id

END
GO

GRANT EXECUTE ON [ApiKeys_GetApiKey] TO [ProGetUser_Role]